#!/usr/bin/env python3

from tkinter import *
from tkinter import ttk


root = Tk()


def callback():
    print("called the callback!")


# menus

menu = Menu(root)
root.config(menu=menu)

filemenu = Menu(menu)   #  later add argument   tearoff=0  and check the result
menu.add_cascade(label="File", menu=filemenu)
filemenu.add_command(label="New", command=callback)
filemenu.add_command(label="Open...", command=callback)
filemenu.add_separator()
filemenu.add_command(label="Exit", command=callback)

helpmenu = Menu(menu)
menu.add_cascade(label="Help", menu=helpmenu)
helpmenu.add_command(label="About...", command=callback)

# toolbar

toolbar = ttk.Frame(root)
b = ttk.Button(toolbar, text="new", width=6, command=callback)
b.pack(side=LEFT, padx=2, pady=2)
b = ttk.Button(toolbar, text="open", width=6, command=callback)
b.pack(side=LEFT, padx=2, pady=2)
toolbar.pack(side=TOP, fill=X)

# main content

content = ttk.Frame(root, width=320, height=200).pack(fill=BOTH, expand=1)


# status bar

status = Label(root, text="text here", bd=1, relief=SUNKEN, anchor=W)
status.pack(side=BOTTOM, fill=X)


root.mainloop()
