#!/usr/bin/env python3

from tkinter import *
from tkinter import ttk


class MyDialog:

    def __init__(self, parent):
        self.top = Toplevel(parent)
        ttk.Label(self.top, text="Value").pack()
        self.e = Entry(self.top)
        self.e.pack(padx=5)
        b = ttk.Button(self.top, text="OK", command=self.ok)
        b.pack(pady=5)
        self.top.grab_set()

    def ok(self):
        print("value is", self.e.get())
        self.top.destroy()


class App(Frame):

    def __init__(self, parent):
        super().__init__(parent)
        self.button = ttk.Button(root, text="Hello!", command=self.button_click)
        self.button.pack()

    def button_click(self):
        d = MyDialog(root)
        self.button.wait_window(d.top)


root = Tk()
app = App(root)
app.pack()


root.mainloop()


