#!/usr/bin/env python3

from tkinter import *
from tkinter import ttk

# Create instance
root = Tk()


a_label = ttk.Label(root, text="A Label")
a_label.grid(column=0, row=0)


def click_me():
    action.configure(text='Hello ' + name.get() + ' ' + number.get())


ttk.Label(root, text="Enter a name:").grid(column=0, row=0)

name = StringVar()
name_entered = ttk.Entry(root, width=12, textvariable=name)
name_entered.grid(column=0, row=1)

action = ttk.Button(root, text="Click Me!", command=click_me)
action.grid(column=2, row=1)

ttk.Label(root, text="Choose a number:").grid(column=1, row=0)
number = StringVar()
number_chosen = ttk.Combobox(root, width=12, textvariable=number)
number_chosen['values'] = (1, 2, 4, 42, 100)
number_chosen.grid(column=1, row=1)
number_chosen.current(0)

name_entered.focus()
root.mainloop()
