#!/usr/bin/env python3

from tkinter import *
from tkinter import ttk

from tkinter import scrolledtext

root = Tk()

# Set the window title
root.title("Form")

a_label = ttk.Label(root, text="A Label")
a_label.grid(column=0, row=0)

ttk.Label(root, text="Enter a name:").grid(column=0, row=0)

name_entered = ttk.Entry(root, width=12)
name_entered.grid(column=0, row=1)

action = ttk.Button(root, text="Click Me!")
action.grid(column=2, row=1)

ttk.Label(root, text="Choose a number:").grid(column=1, row=0)
number_chosen = ttk.Combobox(root, width=12, state='readonly')
number_chosen['values'] = (1, 2, 4, 42, 100)
number_chosen.grid(column=1, row=1)
number_chosen.current(0)

check1 = ttk.Checkbutton(root, text="Disabled", state='disabled')
check1.grid(column=0, row=4, sticky=W)

check2 = ttk.Checkbutton(root, text="UnChecked")
check2.grid(column=1, row=4, sticky=W)

check3 = ttk.Checkbutton(root, text="Enabled")
check3.grid(column=2, row=4, sticky=W)


scrol_w = 30
scrol_h = 3
scr = scrolledtext.ScrolledText(root, width=scrol_w, height=scrol_h, wrap=WORD)
scr.grid(column=0, row=5, sticky='WE', columnspan=3)

colors = ["Blue", "Gold", "Red"]
for col in range(3):
    curRad = ttk.Radiobutton(root, text=colors[col], value=col)
    curRad.grid(column=col, row=6, sticky=W)

buttons_frame = ttk.LabelFrame(root, text=' Labels in a Frame ')
buttons_frame.grid(column=0, row=7)

ttk.Label(buttons_frame, text="Label1").grid(column=0, row=0, sticky=W)
ttk.Label(buttons_frame, text="Label2").grid(column=1, row=0, sticky=W)
ttk.Label(buttons_frame, text="Label3").grid(column=2, row=0, sticky=W)

name_entered.focus()  # Place cursor into name Entry
root.mainloop()
